This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 428731 - (CVE-2008-0123) CVE-2008-0123 Moodle install.php XSS
CVE-2008-0123 Moodle install.php XSS
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-14 16:02 EST by Lubomir Kundrak
Modified: 2008-01-16 02:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-16 02:40:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-01-14 16:02:35 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-0123 to the following vulnerability:

Cross-site scripting (XSS) vulnerability in install.php for Moodle 1.8.3, and possibly other versions before 1.8.4, allows remote attackers to inject arbitrary web script or HTML via the dbname parameter.  NOTE: this issue only exists until the installation is complete.

References:

http://archives.neohapsis.com/archives/fulldisclosure/2008-01/0202.html
http://int21.de/cve/CVE-2008-0123-moodle.html
Comment 1 Fedora Update System 2008-01-15 17:51:30 EST
moodle-1.8.4-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 2 Fedora Update System 2008-01-15 17:54:27 EST
moodle-1.8.4-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Red Hat Product Security 2008-01-16 02:40:18 EST
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2008-0627
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-0610


Note You need to log in before you can comment on or make changes to this bug.